Bug 66530 - [New Port] devel/WebSVN: Subversion repository web frontend
Summary: [New Port] devel/WebSVN: Subversion repository web frontend
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-05-11 16:40 UTC by Yuan-Chung Hsiao
Modified: 2004-05-25 21:42 UTC (History)
0 users

See Also:


Attachments
file.shar (4.10 KB, text/plain)
2004-05-11 16:40 UTC, Yuan-Chung Hsiao
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuan-Chung Hsiao 2004-05-11 16:40:16 UTC
	Subversion repository web frontend
Comment 1 Jason Li 2004-05-11 19:19:48 UTC
Hi, Hsiao

I think the PORTREVISION=   1 line should be removed from Makefile, and
pkg-descr should be wrapped in order to pet portlint. What do you think
about it?

Cheers,
-- 
Xin LI <delphij frontfree net>	http://www.delphij.net/
See complete headers for GPG key and other information.
Comment 2 Yuan-Chung Hsiao 2004-05-12 05:43:32 UTC
Hi, Xin
Thanks your suggestion.


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	websvn
#	websvn/distinfo
#	websvn/Makefile
#	websvn/pkg-plist
#	websvn/pkg-descr
#
echo c - websvn
mkdir -p websvn > /dev/null 2>&1
echo x - websvn/distinfo
sed 's/^X//' >websvn/distinfo << 'END-of-websvn/distinfo'
XMD5 (WebSVN.tar.gz) = 7add4c9292bbe86ab53153d00eb7173d
XSIZE (WebSVN.tar.gz) = 50993
END-of-websvn/distinfo
echo x - websvn/Makefile
sed 's/^X//' >websvn/Makefile << 'END-of-websvn/Makefile'
X# New ports collection makefile for:	websvn
X# Date created:			11 May 2002
X# Whom:				Yuan-Chung Hsiao (ychsiao@ychsiao.idv.tw)
X#
X# $FreeBSD$
X#
X
XPORTNAME=	websvn
XPORTVERSION=	1.38
XCATEGORIES=	devel www
XMASTER_SITES=	http://websvn.tigris.org/files/documents/1380/10659/
XDISTNAME=      	WebSVN
X
XMAINTAINER=	ychsiao@ychsiao.idv.tw
XCOMMENT=	Subversion repository web frontend
X
XUSE_PHP=        yes
XNO_BUILD=	yes
XWRKSRC=         ${WRKDIR}/WebSVN
X
XWEBSVNDIR?=     www/data/WebSVN
X
XPLIST_SUB+=     WEBSVNDIR=${WEBSVNDIR}
X
Xdo-install:
X	${MKDIR} ${PREFIX}/${WEBSVNDIR}
X	${CP} -R ${WRKSRC}/* ${PREFIX}/${WEBSVNDIR}
X	${CHOWN} www:www ${PREFIX}/${WEBSVNDIR}
X
X.include <bsd.port.mk>
END-of-websvn/Makefile
echo x - websvn/pkg-plist
sed 's/^X//' >websvn/pkg-plist << 'END-of-websvn/pkg-plist'
Xwww/data/WebSVN/cache/tmp
Xwww/data/WebSVN/changes.txt
Xwww/data/WebSVN/diff.php
Xwww/data/WebSVN/filedetails.php
Xwww/data/WebSVN/form.php
Xwww/data/WebSVN/include/command.inc
Xwww/data/WebSVN/include/configclass.inc
Xwww/data/WebSVN/include/distconfig.inc
Xwww/data/WebSVN/include/setup.inc
Xwww/data/WebSVN/include/svnlook.inc
Xwww/data/WebSVN/include/template.inc
Xwww/data/WebSVN/include/utils.inc
Xwww/data/WebSVN/include/version.inc
Xwww/data/WebSVN/index.php
Xwww/data/WebSVN/install.txt
Xwww/data/WebSVN/languages/english.inc
Xwww/data/WebSVN/languages/german.inc
Xwww/data/WebSVN/licence.txt
Xwww/data/WebSVN/listing.php
Xwww/data/WebSVN/log.php
Xwww/data/WebSVN/templates.txt
Xwww/data/WebSVN/templates/BlueGrey/diff.tmpl
Xwww/data/WebSVN/templates/BlueGrey/directory.tmpl
Xwww/data/WebSVN/templates/BlueGrey/file.png
Xwww/data/WebSVN/templates/BlueGrey/file.tmpl
Xwww/data/WebSVN/templates/BlueGrey/filec.png
Xwww/data/WebSVN/templates/BlueGrey/fileh.png
Xwww/data/WebSVN/templates/BlueGrey/files.png
Xwww/data/WebSVN/templates/BlueGrey/folder.png
Xwww/data/WebSVN/templates/BlueGrey/footer.tmpl
Xwww/data/WebSVN/templates/BlueGrey/header.tmpl
Xwww/data/WebSVN/templates/BlueGrey/index.tmpl
Xwww/data/WebSVN/templates/BlueGrey/log.tmpl
Xwww/data/WebSVN/templates/BlueGrey/png.js
Xwww/data/WebSVN/templates/BlueGrey/repo.png
Xwww/data/WebSVN/templates/BlueGrey/styles.css
Xwww/data/WebSVN/templates/BlueGrey/subversion.png
Xwww/data/WebSVN/templates/Standard/diff.tmpl
Xwww/data/WebSVN/templates/Standard/directory.tmpl
Xwww/data/WebSVN/templates/Standard/file.tmpl
Xwww/data/WebSVN/templates/Standard/footer.tmpl
Xwww/data/WebSVN/templates/Standard/header.tmpl
Xwww/data/WebSVN/templates/Standard/index.tmpl
Xwww/data/WebSVN/templates/Standard/log.tmpl
Xwww/data/WebSVN/templates/Standard/styles.css
Xwww/data/WebSVN/wsvn.php
X@dirrm www/data/WebSVN/templates/Standard
X@dirrm www/data/WebSVN/templates/BlueGrey
X@dirrm www/data/WebSVN/templates
X@dirrm www/data/WebSVN/temp
X@dirrm www/data/WebSVN/languages
X@dirrm www/data/WebSVN/include
X@dirrm www/data/WebSVN/cache
X@dirrm www/data/WebSVN
X@unexec rmdir %D/www/data/WebSVN 2>/dev/null || true
END-of-websvn/pkg-plist
echo x - websvn/pkg-descr
sed 's/^X//' >websvn/pkg-descr << 'END-of-websvn/pkg-descr'
XWebSVN offers a view onto your subversion repositories that's been designed 
Xto reflect the Subversion methodology. You can view the log of any file or 
Xdirectory and see a list of all the files changed, added or deleted in any 
Xgiven revision. You can also view the differences between 2 versions of 
Xa file so as to see exactly what was changed in a particular revision.
X
XWWW: http://websvn.tigris.org/
END-of-websvn/pkg-descr
exit

--
Yuan-Chung Hsiao , B.S. student,
Dept. of Information Management & Computer Center
SHU-TE University, Yanchao, Kaohsiung County, Taiwan 824
TEL:+886-7-6158000 Ext. 2440
Comment 3 Pav Lucistnik freebsd_committer 2004-05-25 21:42:24 UTC
State Changed
From-To: open->closed

New port added, thank you!